Subject: Re: [PATCH 0/2] HTB scheduler HTB_HYSTERESIS modifications

From: Martin Devera <[email-masked]>
Date: Wed, 04 Jun 2008 15:05:39 +0200

Jesper Dangaard Brouer wrote:
> This patch set modifies the HTB schedulers hysteresis mode.  The HTB
> hysteresis is a hack to reduce the CPU load, it introduces significant
> jitter, enough to disturbe VoIP quality on e.g. ADSL.
> 
> The first patch changes HTB_HYSTERESIS to default off.
> 
> The second patch Change HTB_HYSTERESIS to a runtime parameter
> htb_hysteresis, adjustable via
> sys/module/sch_htb/parameters/htb_hysteresis.
> 
> For details about my measurements see masters thesis
> (http://www.adsl-optimizer.dk/thesis/), chapter 7, section 7.3.1,
> page 69-70.
> 

Hello Jesper,

I just took time to read your thesis. Nice!
I'm thinking about removing HYSTERESIS code altogether, but
(and it holds for setting HYSTERESIS=off as default) I'd like
to measure cpu impact again.
IMHO we need to assure that there will be no surprise when some big
router is upgraded to new kernel and will not catch on speed
(unlikely, but....).

Also, I'm a bit busy for a few weeks, would you be able/interested
to do such testing ?

thanks, Martin